<div ng-controller="OrdersController">
	<div class="row">

		<div class="col-xs-2">
			<!-- Filter box -->
			<div class="row">
				<div class="col-xs-12">
					<!-- Define the filter filter "filter_name" -->
					<input class="col-xs-12" type="text" ng-model="filter_name" placeholder="Filter Results...">
				</div>
			</div>

			<div class="row margin-top">
				<div class="col-xs-10 col-xs-offset-1 base-line">
				</div>
			</div>

			<div class="row">
				<div class="col-xs-12">
					<h3>Agregar nuevo pedido</h3>
				</div>
			</div>
			
			<!-- Form to add order -->
			<div class="row">
				<div class="col-xs-12">
					<p class="text-danger">{{errormsg}}</p>
					<div ng-show="form.$submitted || form.name.$touched">
						<div ng-show="form.name.$error.required" class="text-danger">El nombre del cliente es obligatorio</div>
					</div>
					<form name="form" novalidate>
						<div class="form-group">
							<label for="customer">Nombre del Cliente:</label>
							<select class="form-control" id="customer" ng-model="newOrder.name" required="">
								<option ng-repeat="customer in customers | orderBy: 'name'">{{customer.name}}</option>
							</select>
						</div>
						<div class="form-group">
							<label for="product">Nombre del producto: </label>
							<select class="form-control" id="product" ng-model="newOrder.product" required="">
								<option ng-repeat="product in products | orderBy: 'name' ">{{product.name}}</option>
							</select>
						</div>
						<div class="form-group">
							<label for="quantity">Cantidad de producto: </label>
							<input type="number" min="1" class="form-control" id="quantity" ng-model="newOrder.quantity" required="">
						</div>
						<input class="btn btn-primary" type="submit" value="Order" ng-disabled="form.$invalid" ng-click="addorder(form)">
					</form>
				</div>
			</div>
		</div>

		<div class="col-xs-10">
			<!-- Table listing customers -->
			<div class="row">
				<div class="col-xs-12">
					<h3>Órdenes</h3>
				</div>
			</div>

			<div class="row">
				<div class="col-xs-12">
					<table class="table table-condensed">
						<thead>
							<th>Nombre del cliente</th>
							<th>Nombre del prodcuto</th>
							<th>Cantidad</th>
							<th>Fecha</th>
							<th></th>
						</thead>
						<tbody>
							<tr ng-repeat="order in orders | filter:filter_name | orderBy: $index">
								<td><span ng-bind="order.name"></span></td>
								<td><span ng-bind="order.product"></span></td>
								<td><span ng-bind="order.quantity"></span></td>
								<td><span ng-bind="order.date | date:'MM/dd/yyyy'"></span></td>
								<td><input type="submit" value="Delete" class="btn btn-primary btn-xs" ng-click="deleteorder(order)"></td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>

	</div>
</div>